<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myRequestLabel" jhiTranslate="mpmApp.request.home.createOrEditLabel">Create or edit a Request</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!request.idRequest">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="request.idRequest" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.request.requestNumber" for="field_requestNumber">Request Number</label>
                    <input type="text" class="form-control" name="requestNumber" id="field_requestNumber"
                        [(ngModel)]="request.requestNumber" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.request.dateCreate" for="field_dateCreate">Date Create</label>
                    <div class="input-group">
                        <p-calendar inputId="field_dateCreate" name="input_dateCreate" [(ngModel)]="request.dateCreate"
                            dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                            [showIcon]="true"></p-calendar>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.request.description" for="field_description">Description</label>
                    <input type="text" class="form-control" name="description" id="field_description"
                        [(ngModel)]="request.description" />
                </div>

                <div class="form-group" *ngIf="idRequestType === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.request.requestType" for="field_requestType">Request Type</label>
                    <select class="form-control" id="field_requestType" name="requestType" [(ngModel)]="request.requestTypeId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="requestTypeOption.idRequestType" *ngFor="let requestTypeOption of requesttypes; trackBy: trackRequestTypeById">{{requestTypeOption.description}}</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
